--- old/exception_lists/packaging	Fri Jul 27 15:35:28 2018
+++ new/exception_lists/packaging	Fri Jul 27 15:35:28 2018
@@ -24,7 +24,7 @@
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2016 Hans Rosenfeld <rosenfeld@grumpf.hope-2000.org>
-# Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright 2017 Toomas Soome <tsoome@me.com>
 # Copyright 2017 RackTop Systems.
 #
@@ -654,8 +654,6 @@
 usr/lib/llib-lds			sparc
 usr/lib/llib-lds.ln			sparc
 usr/lib/sparcv9/llib-lds.ln		sparc
-usr/lib/libdscfg.so
-usr/lib/llib-ldscfg.ln
 usr/platform/sun4v/include/sys/libds.h	sparc
 usr/platform/sun4v/include/sys/vlds.h	sparc
 #
@@ -850,23 +848,6 @@
 usr/lib/amd64/llib-lHBAAPI.ln	i386
 usr/lib/sparcv9/llib-lHBAAPI.ln	sparc
 #
-usr/bin/dscfgcli
-usr/bin/sd_diag
-usr/bin/sd_stats
-usr/include/nsctl.h
-usr/include/sys/ncall
-usr/include/sys/nsc_ddi.h
-usr/include/sys/nsc_thread.h
-usr/include/sys/nsctl
-usr/include/sys/nskernd.h
-usr/include/sys/unistat
-usr/lib/libnsctl.so
-usr/lib/librdc.so
-usr/lib/libunistat.so
-usr/lib/llib-lnsctl.ln
-usr/lib/llib-lrdc.ln
-usr/lib/llib-lunistat.ln
-#
 # These files are used by the iSCSI initiator only.
 # No reason to ship them.
 #
--- old/usr/src/Makefile.lint	Fri Jul 27 15:35:28 2018
+++ new/usr/src/Makefile.lint	Fri Jul 27 15:35:28 2018
@@ -23,7 +23,7 @@
 # Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright 2015 Garrett D'Amore <garrett@damore.org>
-# Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2018 Nexenta Systems, Inc.
 #
 
 # include global definitions
@@ -47,7 +47,6 @@
 	cmd/auths \
 	cmd/autopush \
 	cmd/availdevs \
-	cmd/avs \
 	cmd/awk \
 	cmd/banner \
 	cmd/bart \
@@ -363,7 +362,6 @@
 	lib/libdladm \
 	lib/libdlpi \
 	lib/libdoor \
-	lib/libdscfg \
 	lib/libdtrace \
 	lib/libefi \
 	lib/libelfsign \
@@ -398,7 +396,6 @@
 	lib/libmp \
 	lib/libmtmalloc \
 	lib/libndmp \
-	lib/libnsctl \
 	lib/libnsl \
 	lib/libnvpair \
 	lib/libnwam \
@@ -412,7 +409,6 @@
 	lib/libpthread \
 	lib/libraidcfg \
 	lib/librcm \
-	lib/librdc \
 	lib/libreparse \
 	lib/librestart \
 	lib/librstp \
@@ -436,7 +432,6 @@
 	lib/libtsnet \
 	lib/libtsol \
 	lib/libumem \
-	lib/libunistat \
 	lib/libuuid \
 	lib/libuutil \
 	lib/libvrrpadm \
--- old/usr/src/cmd/Makefile	Fri Jul 27 15:35:29 2018
+++ new/usr/src/cmd/Makefile	Fri Jul 27 15:35:29 2018
@@ -26,7 +26,7 @@
 # Copyright (c) 2013 DEY Storage Systems, Inc. All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2016 Toomas Soome <tsoome@me.com>
-# Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright 2018 Gary Mills
 #
 
@@ -68,7 +68,6 @@
 	audio		\
 	auths		\
 	autopush	\
-	avs		\
 	awk		\
 	awk_xpg4	\
 	backup		\
@@ -519,7 +518,6 @@
 	auditset	\
 	auths		\
 	autopush	\
-	avs		\
 	awk		\
 	awk_xpg4	\
 	backup		\
--- old/usr/src/cmd/mdb/Makefile.common	Fri Jul 27 15:35:37 2018
+++ new/usr/src/cmd/mdb/Makefile.common	Fri Jul 27 15:35:37 2018
@@ -70,7 +70,6 @@
 	hook \
 	neti \
 	idm \
-	ii \
 	ip \
 	ipc \
 	ipp \
@@ -82,18 +81,15 @@
 	mpt_sas \
 	mr_sas \
 	nca \
-	nsctl \
 	nsmb \
 	pmcs \
 	ptm \
 	qlc \
 	random \
-	rdc \
 	s1394 \
 	scsi_vhci \
 	sctp \
 	sd \
-	sdbc \
 	smbfs \
 	smbsrv \
 	sockfs \
@@ -102,7 +98,6 @@
 	srpt \
 	stmf \
 	stmf_sbd \
-	sv \
 	ufs \
 	usba \
 	zfs
--- old/usr/src/head/Makefile	Fri Jul 27 15:35:40 2018
+++ new/usr/src/head/Makefile	Fri Jul 27 15:35:40 2018
@@ -128,7 +128,6 @@
 	nl_types.h	\
 	nlist.h		\
 	note.h		\
-	nsctl.h		\
 	nsswitch.h	\
 	nss_common.h	\
 	nss_dbdefs.h	\
--- old/usr/src/lib/Makefile	Fri Jul 27 15:35:41 2018
+++ new/usr/src/lib/Makefile	Fri Jul 27 15:35:41 2018
@@ -117,7 +117,6 @@
 	libdlpi		\
 	libdns_sd	\
 	libdoor		\
-	libdscfg	\
 	libdtrace	\
 	libdtrace_jni	\
 	libefi		\
@@ -169,7 +168,6 @@
 	libndmp		\
 	libnisdb	\
 	libnls		\
-	libnsctl	\
 	libnwam		\
 	libofmt		\
 	libpam		\
@@ -185,7 +183,6 @@
 	libpthread	\
 	libraidcfg	\
 	librcm		\
-	librdc		\
 	libreparse	\
 	libresolv	\
 	libresolv2	\
@@ -227,7 +224,6 @@
 	libtsnet	\
 	libtsol		\
 	libumem		\
-	libunistat	\
 	libuuid		\
 	libuutil	\
 	libvolmgt	\
@@ -392,7 +388,6 @@
 	libdll		\
 	libdlpi		\
 	libdns_sd	\
-	libdscfg	\
 	libdtrace	\
 	libdtrace_jni	\
 	libelfsign	\
@@ -425,7 +420,6 @@
 	libmlrpc	\
 	libmtmalloc	\
 	libndmp		\
-	libnsctl	\
 	libnsl		\
 	libnvpair	\
 	libnwam		\
@@ -440,7 +434,6 @@
 	libproc		\
 	libraidcfg	\
 	librcm		\
-	librdc		\
 	libreparse	\
 	librestart	\
 	librpcsvc	\
@@ -473,7 +466,6 @@
 	libtsnet	\
 	libtsol		\
 	libumem		\
-	libunistat	\
 	libuutil	\
 	libvolmgt	\
 	libvrrpadm	\
@@ -603,7 +595,6 @@
 libdll:		libast
 libdlpi:	libinetutil libdladm
 libds:		libsysevent
-libdscfg:	libnsctl libunistat libadm
 libdtrace:	libproc libgen libctf libmapmalloc
 libdtrace_jni:	libuutil libdtrace
 libefi:		libuuid libsmbios
@@ -643,7 +634,6 @@
 libprtdiag:	libkstat
 libprtdiag_psr:	libprtdiag
 libraidcfg:	libdevinfo
-librdc:		libnsctl libunistat libdscfg
 librestart:	libuutil libscf libpool libproject libsecdb libsysevent
 libsasl:	libgss pkcs11
 libsaveargs:	libdisasm
--- old/usr/src/man/man1m/Makefile	Fri Jul 27 15:35:47 2018
+++ new/usr/src/man/man1m/Makefile	Fri Jul 27 15:35:47 2018
@@ -112,11 +112,6 @@
 		dns-sd.1m		\
 		domainname.1m		\
 		drvconfig.1m		\
-		dsbitmap.1m		\
-		dscfg.1m		\
-		dscfgadm.1m		\
-		dscfglockd.1m		\
-		dsstat.1m		\
 		dtrace.1m		\
 		dumpadm.1m		\
 		editmap.1m		\
@@ -180,9 +175,6 @@
 		if_mpadm.1m		\
 		ifconfig.1m		\
 		ifparse.1m		\
-		iiadm.1m		\
-		iicpbmp.1m		\
-		iicpshd.1m		\
 		ikeadm.1m		\
 		ikecert.1m		\
 		in.chargend.1m		\
@@ -336,7 +328,6 @@
 		nfsmapid.1m		\
 		nfsstat.1m		\
 		nlsadmin.1m		\
-		nscadm.1m		\
 		nscd.1m			\
 		nwamd.1m		\
 		passmgmt.1m		\
@@ -434,7 +425,6 @@
 		savecore.1m		\
 		sbdadm.1m		\
 		scadm.1m		\
-		scmadm.1m		\
 		sdpadm.1m		\
 		sendmail.1m		\
 		setuname.1m		\
@@ -452,9 +442,6 @@
 		smbios.1m		\
 		smbstat.1m		\
 		smrsh.1m		\
-		sndradm.1m		\
-		sndrd.1m		\
-		sndrsyncd.1m		\
 		snoop.1m		\
 		soconfig.1m		\
 		sppptun.1m		\
@@ -468,7 +455,6 @@
 		sttydefs.1m		\
 		su.1m			\
 		sulogin.1m		\
-		svadm.1m		\
 		svc.configd.1m		\
 		svc.ipfd.1m		\
 		svc.startd.1m		\
--- old/usr/src/man/man4/Makefile	Fri Jul 27 15:35:49 2018
+++ new/usr/src/man/man4/Makefile	Fri Jul 27 15:35:49 2018
@@ -12,7 +12,7 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2015, Joyent, Inc.
-# Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright 2018 Gary Mills
 #
 
@@ -60,7 +60,6 @@
 		dialups.4			\
 		dir_ufs.4			\
 		driver.conf.4			\
-		ds.log.4			\
 		ethers.4			\
 		exec_attr.4			\
 		fdi.4				\
@@ -157,7 +156,6 @@
 		publickey.4			\
 		queuedefs.4			\
 		rcmscript.4			\
-		rdc.cf.4			\
 		remote.4			\
 		resolv.conf.4			\
 		rmtab.4				\
@@ -178,7 +176,6 @@
 		smb.4				\
 		smbautohome.4			\
 		smhba.conf.4			\
-		sndr.4				\
 		sock2path.d.4			\
 		space.4				\
 		sulog.4				\
--- old/usr/src/man/man7d/Makefile	Fri Jul 27 15:35:49 2018
+++ new/usr/src/man/man7d/Makefile	Fri Jul 27 15:35:49 2018
@@ -14,7 +14,7 @@
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright (c) 2017, Joyent, Inc.
 # Copyright 2016 Hans Rosenfeld <rosenfeld@grumpf.hope-2000.org>
-# Copyright 2017 Nexenta Systems, Inc.
+# Copyright 2018 Nexenta Systems, Inc.
 #
 
 include		$(SRC)/Makefile.master
@@ -70,7 +70,6 @@
 		ibtl.7d		\
 		ieee1394.7d	\
 		igb.7d		\
-		ii.7d		\
 		ipnet.7d	\
 		iscsi.7d	\
 		iser.7d		\
@@ -121,7 +120,6 @@
 		sgen.7d		\
 		srpt.7d		\
 		st.7d		\
-		sv.7d		\
 		sysmsg.7d	\
 		systrace.7d	\
 		ticlts.7d	\
--- old/usr/src/pkg/manifests/driver-storage-sv.mf	Fri Jul 27 15:35:50 2018
+++ new/usr/src/pkg/manifests/driver-storage-sv.mf	Fri Jul 27 15:35:50 2018
@@ -23,70 +23,6 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-#
-# The default for payload-bearing actions in this package is to appear in the
-# global zone only.  See the include file for greater detail, as well as
-# information about overriding the defaults.
-#
-<include global_zone_only_component>
 set name=pkg.fmri value=pkg:/driver/storage/sv@$(PKGVERS)
-set name=pkg.description \
-    value="Raw/Block Device Interface to Storage Volumes (SV)"
-set name=pkg.summary value="Sun StorageTek Availability Suite Volume Driver"
-set name=info.classification \
-    value=org.opensolaris.category.2008:Drivers/Storage
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/init.d group=sys
-dir path=kernel group=sys
-dir path=kernel/kmdb group=sys
-dir path=kernel/kmdb/$(ARCH64) group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/system group=sys
-dir path=lib/svc/method
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/cluster group=sys
-dir path=usr/cluster/lib
-dir path=usr/cluster/lib/dscfg
-dir path=usr/cluster/lib/dscfg/start
-dir path=usr/cluster/lib/dscfg/stop
-dir path=usr/cluster/sbin group=other
-dir path=usr/kernel group=sys
-dir path=usr/kernel/drv group=sys
-dir path=usr/kernel/drv/$(ARCH64) group=sys
-dir path=usr/lib
-dir path=usr/lib/mdb group=sys
-dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man7d
-driver name=sv devlink=type=ddi_pseudo;name=sv\t\D perms="* 0666 root sys" \
-    privs=sys_config privs=sys_devices
-file path=etc/init.d/sv mode=0744
-file path=etc/init.d/sv.cluster mode=0744
-file path=kernel/kmdb/$(ARCH64)/sv group=sys mode=0555
-file path=lib/svc/manifest/system/nws_sv.xml group=sys mode=0444
-file path=usr/bin/svadm mode=0555
-file path=usr/bin/svboot mode=0555
-file path=usr/cluster/sbin/sv mode=0744
-file path=usr/kernel/drv/$(ARCH64)/sv group=sys
-file path=usr/kernel/drv/sv.conf group=sys
-file path=usr/lib/mdb/kvm/$(ARCH64)/sv.so group=sys mode=0555
-file path=usr/share/man/man1m/svadm.1m
-file path=usr/share/man/man7d/sv.7d
-hardlink path=lib/svc/method/svc-sv target=../../../etc/init.d/sv
-hardlink path=usr/sbin/svadm target=../bin/svadm
-hardlink path=usr/sbin/svboot target=../bin/svboot
-legacy pkg=SUNWspsvr desc="Raw/Block Device Interface to Storage Volumes (SV)" \
-    name="Sun StorageTek Availability Suite Volume Driver (root)"
-legacy pkg=SUNWspsvu desc="Raw/Block Device Interface to Storage Volumes (SV)" \
-    name="Sun StorageTek Availability Suite Volume Driver (usr)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-link path=usr/cluster/lib/dscfg/start/15sv target=../../../sbin/sv
-link path=usr/cluster/lib/dscfg/stop/10sv target=../../../sbin/sv
--- old/usr/src/pkg/manifests/service-storage-avs-cache-management.mf	Fri Jul 27 15:35:50 2018
+++ new/usr/src/pkg/manifests/service-storage-avs-cache-management.mf	Fri Jul 27 15:35:50 2018
@@ -23,112 +23,6 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-#
-# The default for payload-bearing actions in this package is to appear in the
-# global zone only.  See the include file for greater detail, as well as
-# information about overriding the defaults.
-#
-<include global_zone_only_component>
 set name=pkg.fmri value=pkg:/service/storage/avs/cache-management@$(PKGVERS)
-set name=pkg.description \
-    value="Storage Cache Management of read-only bitmap volumes"
-set name=pkg.summary \
-    value="Sun StorageTek Availability Suite Cache Management"
-set name=info.classification \
-    value="org.opensolaris.category.2008:System/Enterprise Management"
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/init.d group=sys
-dir path=kernel group=sys
-dir path=kernel/kmdb group=sys
-dir path=kernel/kmdb/$(ARCH64) group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/system group=sys
-dir path=lib/svc/method
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/cluster group=sys
-dir path=usr/cluster/lib
-dir path=usr/cluster/lib/start
-dir path=usr/cluster/lib/stop
-dir path=usr/cluster/sbin group=other
-dir path=usr/kernel group=sys
-dir path=usr/kernel/drv group=sys
-dir path=usr/kernel/drv/$(ARCH64) group=sys
-dir path=usr/kernel/misc group=sys
-dir path=usr/kernel/misc/$(ARCH64) group=sys
-dir path=usr/lib
-dir path=usr/lib/mdb group=sys
-dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man4
-driver name=ncall devlink=type=ddi_pseudo;name=ncall\t\D \
-    perms="* 0666 root sys" privs=sys_config privs=sys_devices
-driver name=nsctl devlink=type=ddi_pseudo;name=nsctl\t\D \
-    perms="* 0666 root sys" privs=sys_config privs=sys_devices
-driver name=nskern devlink=type=ddi_pseudo;name=nskern\t\D \
-    perms="* 0666 root sys" privs=sys_config privs=sys_devices
-driver name=sdbc devlink=type=ddi_pseudo;name=sdbc\t\D perms="* 0666 root sys" \
-    privs=sys_config privs=sys_devices
-file path=etc/dscfg_format group=sys mode=0744
-file path=etc/init.d/scm mode=0744
-file path=kernel/kmdb/$(ARCH64)/nsctl group=sys mode=0555
-file path=kernel/kmdb/$(ARCH64)/sdbc group=sys mode=0555
-file path=lib/svc/manifest/system/nws_scm.xml group=sys mode=0444
-file path=usr/bin/dsbitmap mode=0555
-file path=usr/bin/dscfg mode=0555
-file path=usr/bin/dscfg_reconfigure.cluster mode=0555
-file path=usr/bin/dscfgadm mode=0555
-file path=usr/bin/dscfglockd mode=0555
-file path=usr/bin/dsstat mode=0555
-file path=usr/bin/ncalladm mode=0555
-file path=usr/bin/nscadm mode=0555
-file path=usr/bin/nskernd mode=0555
-file path=usr/bin/scmadm mode=0555
-file path=usr/kernel/drv/$(ARCH64)/ncall group=sys
-file path=usr/kernel/drv/$(ARCH64)/nsctl group=sys
-file path=usr/kernel/drv/$(ARCH64)/nskern group=sys
-file path=usr/kernel/drv/$(ARCH64)/sdbc group=sys
-file path=usr/kernel/drv/ncall.conf group=sys
-file path=usr/kernel/drv/nsctl.conf group=sys
-file path=usr/kernel/drv/nskern.conf group=sys
-file path=usr/kernel/drv/sdbc.conf group=sys
-file path=usr/kernel/misc/$(ARCH64)/spuni group=sys mode=0755
-file path=usr/lib/libdscfg.so.1
-file path=usr/lib/libnsctl.so.1
-file path=usr/lib/libunistat.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/nsctl.so group=sys mode=0555
-file path=usr/lib/mdb/kvm/$(ARCH64)/sdbc.so group=sys mode=0555
-file path=usr/share/man/man1m/dsbitmap.1m
-file path=usr/share/man/man1m/dscfg.1m
-file path=usr/share/man/man1m/dscfgadm.1m
-file path=usr/share/man/man1m/dscfglockd.1m
-file path=usr/share/man/man1m/dsstat.1m
-file path=usr/share/man/man1m/nscadm.1m
-file path=usr/share/man/man1m/scmadm.1m
-file path=usr/share/man/man4/ds.log.4
-hardlink path=lib/svc/method/svc-scm target=../../../etc/init.d/scm
-hardlink path=usr/cluster/sbin/dscfg_reconfigure \
-    target=../../bin/dscfg_reconfigure.cluster
-hardlink path=usr/lib/dscfglockd target=../bin/dscfglockd
-hardlink path=usr/lib/ncalladm target=../bin/ncalladm
-hardlink path=usr/lib/nskernd target=../bin/nskernd
-hardlink path=usr/sbin/dsbitmap target=../bin/dsbitmap
-hardlink path=usr/sbin/dscfg target=../bin/dscfg
-hardlink path=usr/sbin/dscfgadm target=../bin/dscfgadm
-hardlink path=usr/sbin/dsstat target=../bin/dsstat
-hardlink path=usr/sbin/nscadm target=../bin/nscadm
-hardlink path=usr/sbin/scmadm target=../bin/scmadm
-legacy pkg=SUNWscmr \
-    desc="Storage Cache Management of read-only bitmap volumes" \
-    name="Sun StorageTek Availability Suite Cache Management (root)"
-legacy pkg=SUNWscmu \
-    desc="Storage Cache Management of read-only bitmap volumes" \
-    name="Sun StorageTek Availability Suite Cache Management (usr)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
--- old/usr/src/pkg/manifests/storage-avs-point-in-time-copy.mf	Fri Jul 27 15:35:50 2018
+++ new/usr/src/pkg/manifests/storage-avs-point-in-time-copy.mf	Fri Jul 27 15:35:50 2018
@@ -23,77 +23,6 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-#
-# The default for payload-bearing actions in this package is to appear in the
-# global zone only.  See the include file for greater detail, as well as
-# information about overriding the defaults.
-#
-<include global_zone_only_component>
 set name=pkg.fmri value=pkg:/storage/avs/point-in-time-copy@$(PKGVERS)
-set name=pkg.description value="Point-In-Time Copy and snapshot facility"
-set name=pkg.summary \
-    value="Sun StorageTek Availability Suite Point-In-Time Copy"
-set name=info.classification \
-    value="org.opensolaris.category.2008:System/Enterprise Management"
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/init.d group=sys
-dir path=kernel group=sys
-dir path=kernel/kmdb group=sys
-dir path=kernel/kmdb/$(ARCH64) group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/system group=sys
-dir path=lib/svc/method
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/cluster group=sys
-dir path=usr/cluster/lib
-dir path=usr/cluster/lib/dscfg
-dir path=usr/cluster/lib/dscfg/start
-dir path=usr/cluster/lib/dscfg/stop
-dir path=usr/cluster/sbin group=other
-dir path=usr/kernel group=sys
-dir path=usr/kernel/drv group=sys
-dir path=usr/kernel/drv/$(ARCH64) group=sys
-dir path=usr/lib
-dir path=usr/lib/mdb group=sys
-dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man7d
-driver name=ii devlink=type=ddi_pseudo;name=ii\t\D perms="* 0666 root sys" \
-    privs=sys_config privs=sys_devices
-file path=etc/init.d/ii mode=0744
-file path=etc/init.d/ii.cluster mode=0744
-file path=kernel/kmdb/$(ARCH64)/ii group=sys mode=0555
-file path=lib/svc/manifest/system/nws_ii.xml group=sys mode=0444
-file path=usr/bin/iiadm mode=0555
-file path=usr/bin/iiboot mode=0555
-file path=usr/bin/iicpbmp mode=0555
-file path=usr/bin/iicpshd mode=0555
-file path=usr/cluster/sbin/ii mode=0744
-file path=usr/kernel/drv/$(ARCH64)/ii group=sys
-file path=usr/kernel/drv/ii.conf group=sys \
-    original_name=SUNWii:usr/kernel/drv/ii.conf preserve=true
-file path=usr/lib/mdb/kvm/$(ARCH64)/ii.so group=sys mode=0555
-file path=usr/share/man/man1m/iiadm.1m
-file path=usr/share/man/man1m/iicpbmp.1m
-file path=usr/share/man/man1m/iicpshd.1m
-file path=usr/share/man/man7d/ii.7d
-hardlink path=lib/svc/method/svc-ii target=../../../etc/init.d/ii
-legacy pkg=SUNWiir desc="Point-In-Time Copy and snapshot facility" \
-    name="Sun StorageTek Availability Suite Point-In-Time Copy (root)"
-legacy pkg=SUNWiiu desc="Point-In-Time Copy and snapshot facility" \
-    name="Sun StorageTek Availability Suite Point-In-Time Copy (usr)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-link path=usr/cluster/lib/dscfg/start/05ii target=../../../sbin/ii
-link path=usr/cluster/lib/dscfg/stop/20ii target=../../../sbin/ii
-link path=usr/sbin/iiadm target=../bin/iiadm
-link path=usr/sbin/iiboot target=../bin/iiboot
-link path=usr/sbin/iicpbmp target=../bin/iicpbmp
-link path=usr/sbin/iicpshd target=../bin/iicpshd
--- old/usr/src/pkg/manifests/storage-avs-remote-mirror.mf	Fri Jul 27 15:35:50 2018
+++ new/usr/src/pkg/manifests/storage-avs-remote-mirror.mf	Fri Jul 27 15:35:50 2018
@@ -23,92 +23,6 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-#
-# The default for payload-bearing actions in this package is to appear in the
-# global zone only.  See the include file for greater detail, as well as
-# information about overriding the defaults.
-#
-<include global_zone_only_component>
 set name=pkg.fmri value=pkg:/storage/avs/remote-mirror@$(PKGVERS)
-set name=pkg.description \
-    value="Remote Mirror copy software provides replication across IP networks"
-set name=pkg.summary value="Sun StorageTek Availability Suite Remote Mirror"
-set name=info.classification \
-    value=org.opensolaris.category.2008:System/Hardware
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=etc/init.d group=sys
-dir path=kernel group=sys
-dir path=kernel/kmdb group=sys
-dir path=kernel/kmdb/$(ARCH64) group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/system group=sys
-dir path=lib/svc/method
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/cluster group=sys
-dir path=usr/cluster/lib
-dir path=usr/cluster/lib/dscfg
-dir path=usr/cluster/lib/dscfg/start
-dir path=usr/cluster/lib/dscfg/stop
-dir path=usr/cluster/sbin group=other
-dir path=usr/kernel group=sys
-dir path=usr/kernel/drv group=sys
-dir path=usr/kernel/drv/$(ARCH64) group=sys
-dir path=usr/kernel/misc group=sys
-dir path=usr/kernel/misc/$(ARCH64) group=sys
-dir path=usr/lib
-dir path=usr/lib/mdb group=sys
-dir path=usr/lib/mdb/kvm group=sys
-dir path=usr/lib/mdb/kvm/$(ARCH64) group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man4
-driver name=rdc devlink=type=ddi_pseudo;name=rdc\t\D perms="* 0666 root sys" \
-    privs=sys_config privs=sys_devices
-file path=etc/init.d/rdc mode=0744
-file path=etc/init.d/rdc.cluster mode=0744
-file path=etc/init.d/rdcfinish mode=0744
-file path=kernel/kmdb/$(ARCH64)/rdc group=sys mode=0555
-file path=lib/svc/manifest/system/nws_rdc.xml group=sys mode=0444
-file path=lib/svc/manifest/system/nws_rdcsyncd.xml group=sys mode=0444
-file path=usr/bin/sndradm mode=0555
-file path=usr/bin/sndrboot mode=0555
-file path=usr/bin/sndrd mode=0555
-file path=usr/bin/sndrsyncd mode=0555
-file path=usr/cluster/sbin/rdc mode=0744
-file path=usr/kernel/drv/$(ARCH64)/rdc group=sys
-file path=usr/kernel/drv/$(ARCH64)/rdcsrv group=sys
-file path=usr/kernel/drv/$(ARCH64)/rdcstub group=sys
-file path=usr/kernel/drv/rdc.conf group=sys \
-    original_name=SUNWrdc:usr/kernel/drv/rdc.conf preserve=true
-file path=usr/lib/librdc.so.1
-file path=usr/lib/mdb/kvm/$(ARCH64)/rdc.so group=sys mode=0555
-file path=usr/share/man/man1m/sndradm.1m
-file path=usr/share/man/man1m/sndrd.1m
-file path=usr/share/man/man1m/sndrsyncd.1m
-file path=usr/share/man/man4/rdc.cf.4
-file path=usr/share/man/man4/sndr.4
-hardlink path=lib/svc/method/svc-rdc target=../../../etc/init.d/rdc
-hardlink path=lib/svc/method/svc-rdcsyncd target=../../../etc/init.d/rdcfinish
-hardlink path=usr/kernel/misc/$(ARCH64)/rdcsrv \
-    target=../../drv/$(ARCH64)/rdcsrv
-hardlink path=usr/kernel/misc/$(ARCH64)/rdcstub \
-    target=../../drv/$(ARCH64)/rdcstub
-hardlink path=usr/lib/sndrd target=../bin/sndrd
-hardlink path=usr/lib/sndrsyncd target=../bin/sndrsyncd
-hardlink path=usr/sbin/sndradm target=../bin/sndradm
-hardlink path=usr/sbin/sndrboot target=../bin/sndrboot
-legacy pkg=SUNWrdcr \
-    desc="Remote Mirror copy software provides replication across IP networks" \
-    name="Sun StorageTek Availability Suite Remote Mirror (root)"
-legacy pkg=SUNWrdcu \
-    desc="Remote Mirror copy software provides replication across IP networks" \
-    name="Sun StorageTek Availability Suite Remote Mirror (usr)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-link path=usr/cluster/lib/dscfg/start/10rdc target=../../../sbin/rdc
-link path=usr/cluster/lib/dscfg/stop/15rdc target=../../../sbin/rdc
--- old/usr/src/pkg/manifests/storage-avs.mf	Fri Jul 27 15:35:51 2018
+++ new/usr/src/pkg/manifests/storage-avs.mf	Fri Jul 27 15:35:51 2018
@@ -23,13 +23,6 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 #
 
-set name=pkg.fmri \
-    value=pkg:/storage/avs@0.1,$(PKGVERS_BUILTON)-$(PKGVERS_BRANCH)
-set name=pkg.summary value="Availability Suite"
-set name=info.classification \
-    value=org.opensolaris.category.2008:Drivers/Storage
+set name=pkg.fmri value=pkg:/storage/avs@$(PKGVERS)
+set name=pkg.obsolete value=true
 set name=variant.arch value=$(ARCH)
-depend fmri=driver/storage/sv type=require
-depend fmri=service/storage/avs/cache-management type=require
-depend fmri=storage/avs/point-in-time-copy type=require
-depend fmri=storage/avs/remote-mirror type=require
--- old/usr/src/uts/Makefile	Fri Jul 27 15:35:51 2018
+++ new/usr/src/uts/Makefile	Fri Jul 27 15:35:51 2018
@@ -18,11 +18,12 @@
 #
 # CDDL HEADER END
 #
+
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
-# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+# Copyright 2018 Nexenta Systems, Inc.
 #
-# include global definitions
+
 include ../Makefile.master
 
 #
@@ -131,8 +132,7 @@
 # the architecture/machine dependent subdirectories are in completely
 # isomorphic locations.
 #
-COMMON_HDRDIRS= common/avs \
-		common/c2 \
+COMMON_HDRDIRS= common/c2 \
 		common/des \
 		common/fs \
 		common/gssapi \
@@ -163,10 +163,9 @@
 # Subset of COMMON_HDRDIRS in which at least one header is generated
 # at runtime (e.g., rpcgen), and in which "make clean" should run.
 # Other directories should be included here, but do not yet have the
-# necessary Makefile support (make clean).  See 6414855.
+# necessary Makefile support (make clean).
 #
-DYNHDRDIRS =	common/avs \
-		common/gssapi \
+DYNHDRDIRS =	common/gssapi \
 		common/idmap \
 		common/io/fibre-channel/fca/qlc \
 		common/klm \
--- old/usr/src/uts/common/Makefile.files	Fri Jul 27 15:35:51 2018
+++ new/usr/src/uts/common/Makefile.files	Fri Jul 27 15:35:51 2018
@@ -23,7 +23,7 @@
 # Copyright (c) 1991, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2011, 2014 by Delphix. All rights reserved.
 # Copyright (c) 2013 by Saso Kiselkov. All rights reserved.
-# Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright (c) 2017, Joyent, Inc.
 # Copyright 2016 OmniTI Computer Consulting, Inc.  All rights reserved.
@@ -865,72 +865,6 @@
 
 PMODEM_OBJS += pmodem.o pmodem_cis.o cis.o cis_callout.o cis_handlers.o cis_params.o
 
-DSW_OBJS +=	dsw.o dsw_dev.o ii_tree.o
-
-NCALL_OBJS +=	ncall.o \
-		ncall_stub.o
-
-RDC_OBJS +=	rdc.o \
-		rdc_dev.o \
-		rdc_io.o \
-		rdc_clnt.o \
-		rdc_prot_xdr.o \
-		rdc_svc.o \
-		rdc_bitmap.o \
-		rdc_health.o \
-		rdc_subr.o \
-		rdc_diskq.o
-
-RDCSRV_OBJS +=	rdcsrv.o
-
-RDCSTUB_OBJS += rdc_stub.o
-
-SDBC_OBJS +=	sd_bcache.o \
-		sd_bio.o \
-		sd_conf.o \
-		sd_ft.o \
-		sd_hash.o \
-		sd_io.o \
-		sd_misc.o \
-		sd_pcu.o \
-		sd_tdaemon.o \
-		sd_trace.o \
-		sd_iob_impl0.o \
-		sd_iob_impl1.o \
-		sd_iob_impl2.o \
-		sd_iob_impl3.o \
-		sd_iob_impl4.o \
-		sd_iob_impl5.o \
-		sd_iob_impl6.o \
-		sd_iob_impl7.o \
-		safestore.o \
-		safestore_ram.o
-
-NSCTL_OBJS +=	nsctl.o \
-		nsc_cache.o \
-		nsc_disk.o \
-		nsc_dev.o \
-		nsc_freeze.o \
-		nsc_gen.o \
-		nsc_mem.o \
-		nsc_ncallio.o \
-		nsc_power.o \
-		nsc_resv.o \
-		nsc_rmspin.o \
-		nsc_solaris.o \
-		nsc_trap.o \
-		nsc_list.o
-UNISTAT_OBJS +=	spuni.o \
-		spcs_s_k.o
-
-NSKERN_OBJS +=	nsc_ddi.o \
-		nsc_proc.o \
-		nsc_raw.o \
-		nsc_thread.o \
-		nskernd.o
-
-SV_OBJS +=	sv.o
-
 PMCS_OBJS += pmcs_attach.o pmcs_ds.o pmcs_intr.o pmcs_nvram.o pmcs_sata.o \
 		pmcs_scsa.o pmcs_smhba.o pmcs_subr.o pmcs_fwlog.o
 
--- old/usr/src/uts/common/Makefile.rules	Fri Jul 27 15:35:52 2018
+++ new/usr/src/uts/common/Makefile.rules	Fri Jul 27 15:35:52 2018
@@ -24,7 +24,7 @@
 # Copyright 2016 Garrett D'Amore <garrett@damore.org>
 # Copyright 2013 Saso Kiselkov. All rights reserved.
 # Copyright 2016 Joyent, Inc.
-# Copyright 2016 Nexenta Systems, Inc.
+# Copyright 2018 Nexenta Systems, Inc.
 # Copyright (c) 2016 by Delphix. All rights reserved.
 #
 
@@ -454,38 +454,6 @@
 	$(COMPILE.c) $(KGSSDFLAGS) -o $@ $<
 	$(CTFCONVERT_O)
 
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ncall/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/dsw/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/nsctl/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/rdc/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/sdbc/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/solaris/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/sv/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
-$(OBJS_DIR)/%.o:		$(UTSBASE)/common/avs/ns/unistat/%.c
-	$(COMPILE.c) -o $@ $<
-	$(CTFCONVERT_O)
-
 $(OBJS_DIR)/%.o:		$(UTSBASE)/common/idmap/%.c
 	$(COMPILE.c) -o $@ $<
 	$(CTFCONVERT_O)
@@ -1729,30 +1697,6 @@
 $(LINTS_DIR)/%.ln:		$(COMMONBASE)/smbios/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ncall/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/dsw/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/nsctl/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/rdc/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/sdbc/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/solaris/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/sv/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
-$(LINTS_DIR)/%.ln:		$(UTSBASE)/common/avs/ns/unistat/%.c
-	@($(LHEAD) $(LINT.c) $< $(LTAIL))
-
 $(LINTS_DIR)/%.ln:		$(UTSBASE)/common/des/%.c
 	@($(LHEAD) $(LINT.c) $< $(LTAIL))
 
--- old/usr/src/uts/intel/Makefile.intel	Fri Jul 27 15:36:06 2018
+++ new/usr/src/uts/intel/Makefile.intel	Fri Jul 27 15:36:06 2018
@@ -285,7 +285,7 @@
 DRV_KMODS	+= mouse8042
 DRV_KMODS	+= mpt_sas
 DRV_KMODS	+= mr_sas
-DRV_KMODS	+= mwl 
+DRV_KMODS	+= mwl
 DRV_KMODS	+= nca
 DRV_KMODS	+= nsmb
 DRV_KMODS	+= nulldriver
@@ -374,8 +374,6 @@
 DRV_KMODS	+= qlt
 DRV_KMODS	+= iscsit
 DRV_KMODS	+= pppt
-DRV_KMODS	+= ncall nsctl sdbc nskern sv
-DRV_KMODS	+= ii rdc rdcsrv rdcstub
 DRV_KMODS	+= iptun
 DRV_KMODS	+= vmxnet3s
 DRV_KMODS	+= pvscsi
@@ -633,7 +631,6 @@
 MISC_KMODS	+= scsi
 MISC_KMODS	+= sda
 MISC_KMODS	+= sol_ofs
-MISC_KMODS	+= spuni
 MISC_KMODS	+= strategy
 MISC_KMODS	+= strplumb
 MISC_KMODS	+= tem
--- old/usr/src/uts/sparc/Makefile.sparc	Fri Jul 27 15:36:07 2018
+++ new/usr/src/uts/sparc/Makefile.sparc	Fri Jul 27 15:36:07 2018
@@ -313,8 +313,6 @@
 DRV_KMODS	+= qlt
 DRV_KMODS	+= iscsit
 DRV_KMODS	+= pppt
-DRV_KMODS	+= ncall nsctl sdbc nskern sv
-DRV_KMODS	+= ii rdc rdcsrv rdcstub
 DRV_KMODS	+= iscsi
 DRV_KMODS	+= emlxs
 DRV_KMODS	+= oce
@@ -416,7 +414,6 @@
 MISC_KMODS	+= qlc_fw_2500
 MISC_KMODS	+= qlc_fw_6322
 MISC_KMODS	+= qlc_fw_8100
-MISC_KMODS	+= spuni
 MISC_KMODS	+= mii
 
 MISC_KMODS	+= klmmod klmops
